#
# fishing.R, 10 Apr 21
#

library("plyr")

par(bty="l")
par(las=1)
par(pch="+")

# Information about what's on each line of the source
lin=read.csv("/usr1/expsrc/C-usage/linfo/gcc-2.95_linfo.csv", as.is=TRUE, sep=" ")

ll_cnt=count(lin$characters)

l20=subset(ll_cnt, x < 20)

plot(ll_cnt, log="xy", col="blue",
	xlab="Characters on line", ylab="Number of lines")

ch_cnt=count(lin$characters-lin$indentation)

# points(ch_cnt, col="red")

# lag.plot(lin$characters)

smoothScatter(c(1, lin$characters), c(lin$characters, 1),
		xlim=c(0, 115), ylim=c(0, 115))

not_pp=subset(lin, in_pp_directive == 0)

o_lines=seq(1, nrow(lin), by=2)

pair_len=lin$characters[o_lines]+(lin$characters[o_lines+1]-lin$indentation[o_lines+1])

pair_cnt=count(pair_len)

plot(ll_cnt$x, ll_cnt$freq/2, log="xy", col="blue",
        xlab="Characters on line", ylab="Number of lines")

points(pair_cnt, col="red")

legend(x="bottomleft", legend=c("Original", "Spliced"), bty="n", fill=c("blue", "red"), cex=1.3)

